package com.zhyc.module.frozen.service;

import java.util.List;
import com.zhyc.module.frozen.domain.DdSale;

/**
 * 销售主单Service接口
 * 
 * @author HashMap
 * @date 2025-12-01
 */
public interface IDdSaleService 
{
    /**
     * 查询销售主单
     * 
     * @param id 销售主单主键
     * @return 销售主单
     */
    public DdSale selectDdSaleById(Long id);

    /**
     * 查询销售主单列表
     * 
     * @param ddSale 销售主单
     * @return 销售主单集合
     */
    public List<DdSale> selectDdSaleList(DdSale ddSale);

    /**
     * 新增销售主单
     * 
     * @param ddSale 销售主单
     * @return 结果
     */
    public int insertDdSale(DdSale ddSale);

    /**
     * 修改销售主单
     * 
     * @param ddSale 销售主单
     * @return 结果
     */
    public int updateDdSale(DdSale ddSale);

    /**
     * 批量删除销售主单
     * 
     * @param ids 需要删除的销售主单主键集合
     * @return 结果
     */
    public int deleteDdSaleByIds(Long[] ids);

    /**
     * 删除销售主单信息
     * 
     * @param id 销售主单主键
     * @return 结果
     */
    public int deleteDdSaleById(Long id);
}
